Subject: bug#9323: Non-recursive make build systems and M-x compile

From: Andreas Schwab <[email-masked]>
Date: Thu, 18 Aug 2011 23:48:04 +0200

Reuben Thomas <[email-masked]> writes:

> If I change the build command to make -C .., then Emacs gives errors
> in the compile buffer pointing to files like "src/foo.c", but can't
> follow those links, I presume because it considers the current dir for
> the build to be "src".

make -C should output "Entering directory" lines which are parsed by
Emacs.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."